<template>
  <div class="nav-wrapper f-wrapper">
    <div class="nav-container hero f-wrapper f-flow-column">
      <nuxt-link 
        id="l-home"
        class="f-wrapper f-child n-link align-items-center justify-center" 
        to="/"><span class="n-link-text">Home</span></nuxt-link>
      <nuxt-link 
        id="l-about"
        class="f-wrapper f-child n-link align-items-center justify-center" 
        to="/about"><span class="n-link-text">About</span></nuxt-link>
      <nuxt-link 
        id="l-skills"
        class="f-wrapper f-child n-link align-items-center justify-center" 
        to="/skills"><span class="n-link-text">Skills</span></nuxt-link>
      <nuxt-link 
        id="l-experience"
        class="f-wrapper f-child n-link align-items-center justify-center" 
        to="/experience"><span class="n-link-text">Experience</span></nuxt-link>
      <nuxt-link 
        id="l-education"
        class="f-wrapper f-child n-link align-items-center justify-center" 
        to="/education"><span class="n-link-text">Education</span></nuxt-link>
      <nuxt-link 
        id="l-contact"
        class="f-wrapper f-child n-link align-items-center justify-center" 
        to="/contact"><span class="n-link-text">Contact</span></nuxt-link>
    </div>
  </div>
</template>

<script>
export default {}
</script>

<style lang="scss">
#l-home::after {
  content: 'Base' !important;
}

#l-about::after {
  content: 'My Story' !important;
}

#l-skills::after {
  content: 'Power Up' !important;
}

#l-experience::after {
  content: 'The Path' !important;
}

#l-education::after {
  content: 'Alma Matter' !important;
}

#l-contact::after {
  content: 'Coffebreak' !important;
}

.n-link {
  -moz-transition: all 0.35s cubic-bezier(0.46, 0.01, 0.14, 1.35);
  -o-transition: all 0.35s cubic-bezier(0.46, 0.01, 0.14, 1.35);
  -webkit-transition: all 0.35s cubic-bezier(0.46, 0.01, 0.14, 1.35);
  transition: all 0.35s cubic-bezier(0.46, 0.01, 0.14, 1.35);
  white-space: nowrap;
  font-weight: 900;
  text-transform: uppercase;
  text-decoration: none;
  &:after {
    content: '';
    -moz-transition: all 0s linear;
    -o-transition: all 0s linear;
    -webkit-transition: all 0s linear;
    transition: all 0s linear;
    overflow: hidden;
    text-transform: lowercase;
    font-size: 14px;
    letter-spacing: 0;
    font-weight: 500;
    position: absolute;
    display: inline-block;
    padding: 0 15px;
    max-height: 0;
    z-index: -1;
  }
  &:hover {
    color: #fff;
  }
  &:before {
    content: '';
    -moz-backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -moz-transition: all 0.35s cubic-bezier(0.46, 0.01, 0.14, 1.35);
    -o-transition: all 0.35s cubic-bezier(0.46, 0.01, 0.14, 1.35);
    -webkit-transition: all 0.35s cubic-bezier(0.46, 0.01, 0.14, 1.35);
    transition: all 0.35s cubic-bezier(0.46, 0.01, 0.14, 1.35);
    position: absolute;
    height: 2px;
    background-color: #ff4851;
    z-index: -2;
    width: 1rem;
    border-radius: 50%;
    margin-top: 1rem;
    transform: rotate(4deg);
  }
  &:hover {
    &:before {
      padding: calc(2.7rem + 6 * ((100vh - 320px) / 680))
        calc(4rem + 6 * ((100vw - 320px) / 680));
      -webkit-transform: scale(2rem) rotate(10deg) translateX(20px)
        translateY(-20px);
      -webkit-transform-origin: 200% 150%;
      -moz-transform: scale(2rem) rotate(10deg) translateX(20px)
        translateY(-20px);
      -moz-transform-origin: 200% 150%;
      -o-transform: scale(2rem) rotate(10deg) translateY(-30px);
      -o-transform-origin: 200% 150%;
      -ms-transform: scale(2rem) rotate(10deg) translateY(-30px);
      -ms-transform-origin: 200% 150%;
      transform: scale(2rem) rotate(10deg) translateY(-30px);
    }
    &:after {
      -moz-transition: all 0.25s cubic-bezier(0.46, 0.01, 0.14, 1.35) 0.3s;
      -o-transition: all 0.25s cubic-bezier(0.46, 0.01, 0.14, 1.35) 0.3s;
      -webkit-transition: all 0.25s cubic-bezier(0.46, 0.01, 0.14, 1.35);
      -webkit-transition-delay: 0.3s;
      transition: all 0.25s cubic-bezier(0.46, 0.01, 0.14, 1.35) 0.3s;
      padding: 10px 15px;
      max-height: 30px;
      -moz-transform: translate(0px, 75%);
      -ms-transform: translate(0px, 75%);
      -webkit-transform: translate(0px, 75%);
      transform: translate(0px, 75%);
      padding: 10px 45px;
      max-height: 35px;
      opacity: 1;
      color: #fff;
    }
  }
}
</style>
